Skip to main content
GET
/
reports
/
{report_id}
/
score
Get Evaluation Score
curl --request GET \
  --url https://api.promptlayer.com/reports/{report_id}/score \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "message": "<string>",
  "score": {
    "overall_score": 123,
    "has_custom_scoring": true,
    "details": {
      "column_name": "<string>",
      "score": 123,
      "score_type": "<string>",
      "num_skipped": 123
    }
  }
}
Legacy Dataset, Evaluation, and Report endpoints are deprecated for new workflows. Use the Tables API for new dataset import, evaluation, scoring, recalculation, and reporting workflows.
This endpoint allows you to retrieve the score of a specific report by its ID.

Authorizations

X-API-KEY
string
header
required

Path Parameters

report_id
integer
required

ID of the report to get the score for.

Response

Report score retrieved successfully

success
boolean
required
message
string
required
score
object
required